#!/bin/sh
export PATH='/usr/obj/hs-abstract-par-0.3.1/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/usr/local/bin:/usr/X11R6/bin'
echo 'name: abstract-par
version: 0.3.1
id: abstract-par-0.3.1-686b98d8ce3d18a21e4c6ed98125e87b

license: BSD3
copyright: (c) Ryan Newton 2011-2012
maintainer: Ryan Newton <rrnewton@gmail.com>
stability: Experimental
homepage: https://github.com/simonmar/monad-par
package-url:
synopsis: Type classes generalizing the functionality of the '\''monad-par'\'' library.
description: The '\''Par'\'' monad(s) offer an alternative
             parallel programming API to that provided by the
             @parallel@ package.
             A '\''Par'\'' monad allows the simple description of
             parallel computations, and can be used to add
             parallelism to pure Haskell code.  The basic API
             is straightforward: a @Par@ monad supports forking
             and simple communication in terms of '\''IVar'\''s.
             This module is an interface module only. It
             provides a number of type clasess, but not an
             implementation.  The type classes separate different
             levels of @Par@ functionality.  See the
             "Control.Monad.Par.Class" module for more details.
             The '\''monad-par'\'' library is one example of a
             concrete library providing this interface.
category: Control,Parallelism,Monads
author: Ryan Newton
pkgpath: devel/hs-abstract-par
exposed: True
exposed-modules: Control.Monad.Par.Class Control.Monad.Par.Unsafe
hidden-modules:
trusted: False
import-dirs: /usr/local/lib/ghc/abstract-par-0.3.1
library-dirs: /usr/local/lib/ghc/abstract-par-0.3.1
hs-libraries: HSabstract-par-0.3.1
extra-libraries:
extra-ghci-libraries:
include-dirs:
includes:
depends: base-4.7.0.2-e1c96ce41208f09c293083d78870d5a2
         deepseq-1.3.0.2-63a1ab91b7017a28bb5d04cb1b5d2d02
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/hs-abstract-par-0.3.1/html/abstract-par.haddock
haddock-html: /usr/local/share/doc/hs-abstract-par-0.3.1/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
